xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) 2020 Leon Kowarschick
License | BSD3-style (see LICENSE)
Maintainer | Leon Kowarschick. <thereal.elkowar@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Actions.TiledWindowDragging

Contents

- Usage

Description

Provides an action that allows you to change the position of windows by dragging them around.

Synopsis

- dragWindow :: Window -> X ()

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Actions.TiledWindowDragging
    import XMonad.Layout.DraggingVisualizer

then edit your `layoutHook` by adding the draggingVisualizer to your layout:

    myLayout = draggingVisualizer $ layoutHook def

Then add a mouse binding for `dragWindow`:

    , ((modMask .|. shiftMask, button1), dragWindow)

For detailed instructions on editing your mouse bindings, see XMonad.Doc.Extending.

dragWindow :: Window -> X () #

Create a mouse binding for this to be able to drag your windows around. You need XMonad.Layout.DraggingVisualizer for this to look good.